Ping
curl --request POST \
--url https://staging.debt-wise.com/api/ping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": "Ping"
}
'import requests
url = "https://staging.debt-wise.com/api/ping"
payload = { "payload": "Ping" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payload: 'Ping'})
};
fetch('https://staging.debt-wise.com/api/ping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": "Ping"
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Overview
Authentication
Authenticate every DebtWise API request with a bearer token.
POST
/
api
/
ping
Ping
Every HTTP request made to the DebtWise API must be authenticated. You need to use an API key to authenticate requests. To obtain and manage your API keys, visit the dashboard in the corresponding environment.
Authentication to the API is performed via bearer:
-H "Authorization: Bearer ${TOKEN}"
Try it out
Use the interactive playground below to send a realPOST /api/ping request with your token and confirm your credentials are working.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Body
application/json
Example:
"Ping"
Response
Ping successful
Example:
"Ping"